BEGIN;

DO $$
BEGIN
    BEGIN
        ALTER TABLE flows ADD COLUMN filewatcher boolean NOT NULL DEFAULT FALSE;
    EXCEPTION
        WHEN duplicate_column THEN
        -- do nothing
    END;
END;
$$;

DO $$
BEGIN
    BEGIN
        ALTER TABLE flows ADD COLUMN filewatcher_params json NOT NULL DEFAULT '{}'::json;
    EXCEPTION
        WHEN duplicate_column THEN
        -- do nothing
    END;
END;
$$;

COMMIT;
